Subject: bug#10377: closed (Re: bug#10377: unrmail fails to produce any output for a empty BABYL folder)

From: Mark Lillibridge <[email-masked]>
Date: Sat, 14 Jan 2012 11:52:44 -0800

GNU bug Tracking System <[email-masked]> writes:

>  [1:text/plain Hide]
>  Your bug report
>  
>  #10377: 23.3; unrmail fails to produce any output for a empty BABYL folder
>  
>  which was filed against the emacs package, has been closed.
>  
>  The explanation is attached below, along with your original report.
>  If you require more details, please reply to [email-masked].

> Mark Lillibridge wrote:
> 
> > I spoke too soon; this bug also exists in Emacs 22.
> 
> And Emacs 21, which perhaps shows how important this issue is.
> 
> Anyway, I made unrmail give an explicit message (but still do nothing)
> if the input file has no messages.

    Please reopen this bug; the above "fix" does not fix the bug.  You
have to understand that unrmail in batch mode is used to process a set
of BABYL files to produce a parallel set of mbox files.  For example,

    find Rmail -type f -exec grep -q '^BABYL OPTIONS' {} \; \
          -exec ~/bin/emacs-22.3-install/bin/emacs -batch  \
          -f batch-unrmail {} \; >& log

Users likely would use further scripts to automatically move the
resulting *.mail mbox files into place.  The correct behavior is simply
to produce a zero length output file with no messages.

- Mark